Skip to content
Ona Docs

GetEnvironmentClass

POST/gitpod.v1.RunnerConfigurationService/GetEnvironmentClass

Gets details about a specific environment class.

Use this method to:

  • View class configuration
  • Check resource settings
  • Verify availability

Examples

  • Get class details:

    Retrieves information about a specific class.

    environmentClassId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
Body ParametersJSONExpand Collapse
environmentClassId: optional string
formatuuid
ReturnsExpand Collapse
environmentClass: optional EnvironmentClass { id, runnerId, configuration, 3 more }
id: string

id is the unique identifier of the environment class

runnerId: string

runner_id is the unique identifier of the runner the environment class belongs to

configuration: optional array of FieldValue { key, value }

configuration describes the configuration of the environment class

key: optional string
value: optional string
description: optional string

description is a human readable description of the environment class

maxLength200
minLength3
displayName: optional string

display_name is the human readable name of the environment class

maxLength127
minLength3
enabled: optional boolean

enabled indicates whether the environment class can be used to create new environments.

GetEnvironmentClass

curl https://app.gitpod.io/api/gitpod.v1.RunnerConfigurationService/GetEnvironmentClass \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "environmentClass": {
    "id": "id",
    "runnerId": "runnerId",
    "configuration": [
      {
        "key": "key",
        "value": "value"
      }
    ],
    "description": "xxx",
    "displayName": "xxx",
    "enabled": true
  }
}
Returns Examples
{
  "environmentClass": {
    "id": "id",
    "runnerId": "runnerId",
    "configuration": [
      {
        "key": "key",
        "value": "value"
      }
    ],
    "description": "xxx",
    "displayName": "xxx",
    "enabled": true
  }
}